Summary: Duplicity wrapper
Name: bloonix-duplicity
Version: 0.4
Release: 1%{dist}
License: distributable
Group: Utilities/System
Distribution: RHEL and CentOS

Packager: Jonny Schulz <js@bloonix.de>
Vendor: Bloonix

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source0: http://download.bloonix.de/sources/%{name}-%{version}.tar.gz
Requires: perl(Config::General)
Requires: perl(Getopt::Long)
Requires: perl(File::Temp)
Requires: perl(Log::Handler)
Requires: perl(Params::Validate)
Requires: perl(Sys::Hostname)
Requires: perl(Time::HiRes)
Requires: duplicity python-paramiko
Requires: python-lockfile
AutoReqProv: no

%description
bloonix-duplicity provides a wrapper around duplicity for a easy backup configuration.

%define mandir8 %{_mandir}/man8
%define confdir %{_sysconfdir}/buplicity
%define logrdir %{_sysconfdir}/logrotate.d
%define logdir  /var/log/buplicity
%define pod2man /usr/bin/pod2man

%prep
%setup -q -n %{name}-%{version}
%{pod2man} bin/buplicity >bin/buplicity.8

%build
%{__perl} Configure.PL --prefix /usr --without-perl
%{__make}
cd perl;
%{__perl} Build.PL installdirs=vendor
%{__perl} Build

%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
mkdir -p ${RPM_BUILD_ROOT}%{mandir8}
mkdir -p ${RPM_BUILD_ROOT}%{logrdir}
install -d -m 0750 ${RPM_BUILD_ROOT}%{logdir}
install -c -m 0644 etc/logrotate.d/buplicity ${RPM_BUILD_ROOT}%{logrdir}/
install -c -m 0444 bin/buplicity.8 ${RPM_BUILD_ROOT}%{mandir8}/

cd perl;
%{__perl} Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)

%{_bindir}/buplicity

%dir %attr(0750, root, root) %{confdir}
%dir %attr(0750, root, root) %{logdir}

%config(noreplace) %attr(0640, root, root) %{confdir}/buplicity.conf
%config(noreplace) %attr(0640, root, root) %{logrdir}/buplicity

%doc %attr(0444, root, root) %{mandir8}/buplicity.8.gz

%dir %{perl_vendorlib}/Bloonix/
%{perl_vendorlib}/Bloonix/Duplicity.pm
%{_mandir}/man?/Bloonix::*

%changelog
* Sat Nov 08 2014 Jonny Schulz <js@bloonix.de> - 0.4-1
* Wed Aug 13 2014 Jonny Schulz <js@bloonix.de> - 0.3-1
* Thu Apr 18 2013 Jonny Schulz <js@bloonix.de> - 0.1-1
- Initial release.
